#include <iostream>
#include <sstream>
#include <cassert>

#include <geos/geom/Geometry.h>
#include <geos/io/WKBReader.h>
#include <geos/geom/PrecisionModel.h>
#include <geos/operation/buffer/BufferBuilder.h>
#include <geos/operation/buffer/BufferParameters.h>

int main()
{
  const char* wkb_geom1 = "01060000000100000001030000000100000000000000";
  const char* wkb_geom2 = "010100000000000000000000000000000000000000";

  geos::geom::PrecisionModel precision(geos::geom::PrecisionModel::FLOATING);
  geos::geom::GeometryFactory f(&precision);

  std::istringstream istr1(wkb_geom1);
  std::istringstream istr2(wkb_geom2);
  geos::io::WKBReader wkb(f);

  geos::geom::Geometry* g1 = wkb.readHEX(istr1);
  geos::geom::Geometry* g2 = wkb.readHEX(istr2);

  assert(g1->isValid());
  assert(g2->isValid());

  std::cout << g1->isEmpty() << std::endl;
  std::cout << g1->distance(g2) << std::endl;
}
